.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptClassConstant.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptClassConstant:

VisualScriptClassConstant
=========================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A Visual Script node representing a constant from a class.

Member Functions
----------------

+------------------------------+------------------------------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_base_type<class_VisualScriptClassConstant_get_base_type>`  **(** **)**                                             |
+------------------------------+------------------------------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_class_constant<class_VisualScriptClassConstant_get_class_constant>`  **(** **)**                                   |
+------------------------------+------------------------------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_base_type<class_VisualScriptClassConstant_set_base_type>`  **(** :ref:`String<class_string>` name  **)**           |
+------------------------------+------------------------------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_class_constant<class_VisualScriptClassConstant_set_class_constant>`  **(** :ref:`String<class_string>` name  **)** |
+------------------------------+------------------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`String<class_string>` **base_type** - The type to get the constant from.
- :ref:`String<class_string>` **constant** - The name of the constant to return.

Description
-----------

A Visual Script node representing a constant from the classes, such as @GlobalScope.TYPE_INT.

Member Function Description
---------------------------

.. _class_VisualScriptClassConstant_get_base_type:

- :ref:`String<class_string>`  **get_base_type**  **(** **)**

.. _class_VisualScriptClassConstant_get_class_constant:

- :ref:`String<class_string>`  **get_class_constant**  **(** **)**

.. _class_VisualScriptClassConstant_set_base_type:

- void  **set_base_type**  **(** :ref:`String<class_string>` name  **)**

.. _class_VisualScriptClassConstant_set_class_constant:

- void  **set_class_constant**  **(** :ref:`String<class_string>` name  **)**


